Subject: bug#20638: BUG: standard & extended RE's don't find NUL's :-(

From: Paul Eggert <[email-masked]>
Date: Mon, 25 May 2015 12:54:37 -0700

Linda Walsh wrote:
> it is documented, that '\ddd' or '\xHH' can be used
> to match a single character of the value specified.

I don't see where it's documented to behave that way.  Perhaps you're looking at 
the wrong documentation?

>  The argument was that
> a NUL in a file made it non-text -- therefore it woudln't be a "line".

Obviously -z changes the definition of a line.  -z is explicitly designed to 
operate on files containing NUL bytes.  So that argument was not coherent.

>> I'm afraid you've gone off the deep end here.
> I didn't bring up POSIX, Eric did.

Eric's comments didn't incorporate conspiracy theories about corporate payoffs; 
yours did.